//
//  XSPEC12  November 2003
//
//
#include "XSUser/Global/Global.h"        
#include "XSUser/Global/XSGlobal.h"        
#include "XSUtil/Utils/XSstream.h"
#include "XSstreams.h"

#include <iomanip>
    
int
XSGlobal::xsComsum(ClientData cdata,Tcl_Interp* tclInterp,int objc, Tcl_Obj* CONST  objv[])
{
        using namespace std;
        int len = 0;
	char* arg = 0;
	string docCommand = "";
        
        if (objc > 1)
        {
		arg = Tcl_GetStringFromObj(objv[1],&len);
		docCommand = arg;
        }

        map<string,string>::const_iterator docs;
        
        if (docCommand.size() == 0)
        {

                for ( docs = XSGlobal::summaryMap.begin(); docs != XSGlobal::summaryMap.end(); docs++)
                {
                        tcout << docs->first << ": " << docs->second  << "\n" << endl;   
                }
        }
        else
        {
                if ( (docs = XSGlobal::summaryMap.find(docCommand)) != XSGlobal::summaryMap.end() )
                {
                        tcout << setw(8) << docs->first << ": " << docs->second   << endl;   
                }
                else 
                {
                        tcout << "No such command: " << docCommand  << endl;   
                }
        }    
        return globalData->autoSave(TCL_OK);
}


